C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE ROIREG(N)
	IMPLICIT INTEGER*2(D-Z)
	IMPLICIT LOGICAL*1(A)
	DIMENSION ORD(2),AORD(4)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB
	EQUIVALENCE(ORD,AORD),(ALX,AORD(1)),(ALY,AORD(2))
	EQUIVALENCE(AORD(3),ARX),(AORD(4),AUY)
	ALN=.TRUE.
	DO 10 I=1,N
	II=185+(I-1)*2
	ORD(1)=SAVDES(II)
	ORD(2)=SAVDES(II+1)
	CALL INTERP(ALN,ALX,ARX,ALY,ALY,14,"77)
	CALL INTERP(ALN,ALX,ARX,AUY,AUY,14,"77)
	CALL INTERP(ALN,ARX,ARX,ALY,AUY,14,"77)
	CALL INTERP(ALN,ALX,ALX,ALY,AUY,14,"77)
10	CONTINUE
	RETURN
	END
